List Emails

View as Markdown
  • GET
  • /user
  • /emails

Get user's email addresses

Request

REQUIRED SCOPES
USER_EMAIL_READ

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
emailsUserEmailView[]

Last modified on Apr 22, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/user/emails" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
EXAMPLE RESPONSE
{
  "url": "https://api.buddy.works/user/emails",
  "html_url": "https://app.buddy.works/my-id",
  "emails": [
    {
      "email": "john.doe@company.com",
      "confirmed": true
    },
    {
      "email": "john.doe.alt@company.com",
      "confirmed": false
    }
  ]
}
STATUS
200 OK